Subject: bug#39522: closed (Re: [bug#39522] [PATCH] gnu: dunst: Build dunstify.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Feb 2020 18:27:03 +0000

Your bug report

#39522: [PATCH] gnu: dunst: Build dunstify.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39522: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39522
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#39522] [PATCH] gnu: dunst: Build dunstify.
From: Nicolas Goaziou <[email-masked]>
To: Brice Waegeneire <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Feb 2020 19:26:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Brice Waegeneire <[email-masked]> writes:

> I wrote a new patch with your suggestion.

Thank you! I applied it as 81565d23df3080b4d43d2ce0bfa49251827a34e9.

> Sorry for the missing copyright lines in the previous patches you
> merged, I thought it was non-mandatory on trivial modifications.

I honestly do not know if it is mandatory in this case. However, trivial
modifications may pile up and it could become a concern at some point.

> I added one in this new one.

Yay!

Regards,

-- 
Nicolas Goaziou

Subject: [PATCH] gnu: dunst: Build dunstify.
From: Brice Waegeneire <[email-masked]>
To: [email-masked]
Date: Sun, 9 Feb 2020 10:11:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/dunst.scm (dunst)[arguments]: Add phase install-dunstify.
[inputs]: Add libnotify.
---
 gnu/packages/dunst.scm | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/dunst.scm b/gnu/packages/dunst.scm
index 75f2b80e5f..ecb6c15e16 100644
--- a/gnu/packages/dunst.scm
+++ b/gnu/packages/dunst.scm
@@ -26,6 +26,7 @@
   #:use-module (gnu packages base)
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages glib)
+  #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
@@ -52,9 +53,15 @@
                           ;; Otherwise it tries to install service file
                           ;; to "dbus" store directory.
                           (string-append "SERVICEDIR_DBUS=" %output
-                                         "/share/dbus-1/services"))
+                                         "/share/dbus-1/services")
+                          "dunstify")
        #:phases (modify-phases %standard-phases
-                  (delete 'configure))))
+                  (delete 'configure)
+                  (add-after 'install 'install-dunstify
+                    (lambda* (#:key outputs #:allow-other-keys)
+                      (let ((out (assoc-ref outputs "out")))
+                        (copy-file "dunstify"
+                                   (string-append out "/bin/dunstify"))))))))
     (native-inputs
      `(("pkg-config" ,pkg-config)
        ("perl" ,perl)                   ; for pod2man
@@ -65,6 +72,7 @@
        ("glib" ,glib)
        ("cairo" ,cairo)
        ("pango" ,pango)
+       ("libnotify" ,libnotify)         ; for dunstify
        ("libx11" ,libx11)
        ("libxscrnsaver" ,libxscrnsaver)
        ("libxinerama" ,libxinerama)
-- 
2.24.1